use crate::parser::document;
use tracing::trace;
use tracing::Level;

mod parser;

const TEST_DOC: &'static str = include_str!("../toy_language.txt");

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let format = tracing_subscriber::fmt::format()
        .with_file(true)
        .with_line_number(true)
        .with_thread_ids(false)
        .with_target(false);
    let subscriber = tracing_subscriber::fmt()
        .event_format(format)
        .with_max_level(Level::TRACE)
        .finish();
    tracing::subscriber::set_global_default(subscriber)?;
    trace!("TESTING");
    println!("{}\n\n\n", TEST_DOC);
    println!("{:#?}", document(TEST_DOC));
    Ok(())
}
